﻿EXEC [nan].DropIndexes

ALTER TABLE [nan].[PrintJob] NOCHECK CONSTRAINT ALL;
ALTER TABLE [nan].[LabelJob] NOCHECK CONSTRAINT ALL;
ALTER TABLE [nan].[Variable] NOCHECK CONSTRAINT ALL;
ALTER TABLE [nan].[Event] NOCHECK CONSTRAINT ALL;

-- Switch the last partition - it contains archived data
ALTER TABLE [nan].[ArchivePrintJob] SWITCH PARTITION 1 TO [nan].[PrintJob] PARTITION 1;
ALTER TABLE [nan].[ArchiveLabelJob] SWITCH PARTITION 1 TO [nan].[LabelJob] PARTITION 1;
ALTER TABLE [nan].[ArchiveVariable] SWITCH PARTITION 1 TO [nan].[Variable] PARTITION 1;
ALTER TABLE [nan].[ArchiveEvent] SWITCH PARTITION 1 TO [nan].[Event] PARTITION 1;

ALTER TABLE [nan].[PrintJob] CHECK CONSTRAINT ALL;
ALTER TABLE [nan].[LabelJob] CHECK CONSTRAINT ALL;
ALTER TABLE [nan].[Variable] CHECK CONSTRAINT ALL;
ALTER TABLE [nan].[Event] CHECK CONSTRAINT ALL;

EXEC [nan].[RecreateIndexes];
GO